### Method

# Aravis Camera gv_set_persistent_ip_from_string

since: 0.8.22

#### Declaration [src]

    void
    arv_camera_gv_set_persistent_ip_from_string (
      ArvCamera* camera,
      const char* ip,
      const char* mask,
      const char* gateway,
      GError** error
    )

#### Description [src]

Sets the persistent IP address to camera.

Available since: 0.8.22

#### Parameters

`ip`

  Type: `const char*`

  IPv4 address in string format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mask`

  Type: `const char*`

  Netmask in string format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`gateway`

  Type: `const char*`

  Gateway IPv4 address in string format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.